@ C prototype: void Tile8x8Get_R(uint32_t col, uint32_t y, const void *src, uint32_t *dest);

@ #include "os.h"
@ #define BITS_PER_PIXEL (4)
@ #define BITS_PER_BYTE  (8)
@ #define inc (SCREEN_WIDTH * BITS_PER_PIXEL / BITS_PER_BYTE) -> 160 on the Nspire platform in 16-grayscale mode.

	.text
	.global	Tile8x8Get_R
	.type	Tile8x8Get_R, %function
	.arm
	.align 2
Tile8x8Get_R:
@ unsigned char *ptr = (unsigned char *)src + (8 * BITS_PER_PIXEL / BITS_PER_BYTE) * col + (inc * y);
	mov	r0, r0, asl #2
	add	r1, r1, r1, asl #2
	add	r1, r0, r1, asl #5
	add	r2, r2, r1

	ldr	r0, [r2], #160
	str	r0, [r3], #4

	ldr	r0, [r2], #160
	str	r0, [r3], #4

	ldr	r0, [r2], #160
	str	r0, [r3], #4

	ldr	r0, [r2], #160
	str	r0, [r3], #4

	ldr	r0, [r2], #160
	str	r0, [r3], #4

	ldr	r0, [r2], #160
	str	r0, [r3], #4

	ldr	r0, [r2], #160
	str	r0, [r3], #4

	ldr	r0, [r2]
	str	r0, [r3]

	mov	pc, lr
	.size	Tile8x8Get_R, .-Tile8x8Get_R
