@ C prototype: void Tile8x8_RPLC_R(uint32_t col, uint32_t y, const uint32_t *sprite, void *plane);

@ #include "os.h"
@ #define BITS_PER_PIXEL (4)
@ #define BITS_PER_BYTE  (8)
@ #define inc (SCREEN_WIDTH * BITS_PER_PIXEL / BITS_PER_BYTE) -> 160 on the Nspire platform in 16-grayscale mode.

	.text
	.global	Tile8x8_RPLC_R
	.type	Tile8x8_RPLC_R, %function
	.arm
	.align 2
Tile8x8_RPLC_R:
@ unsigned char *ptr = (unsigned char *)plane + (8 * BITS_PER_PIXEL / BITS_PER_BYTE) * col + (inc * y);
	mov	r0, r0, asl #2
	add	r1, r1, r1, asl #2
	add	r1, r0, r1, asl #5
	add	r3, r3, r1

	ldr	r0, [r2], #4
	str	r0, [r3], #160

	ldr	r0, [r2], #4
	str	r0, [r3], #160

	ldr	r0, [r2], #4
	str	r0, [r3], #160

	ldr	r0, [r2], #4
	str	r0, [r3], #160

	ldr	r0, [r2], #4
	str	r0, [r3], #160

	ldr	r0, [r2], #4
	str	r0, [r3], #160

	ldr	r0, [r2], #4
	str	r0, [r3], #160

	ldr	r0, [r2]
	str	r0, [r3]

	mov	pc, lr
	.size	Tile8x8_RPLC_R, .-Tile8x8_RPLC_R
